orte/mca/gpr/proxy/gpr_proxy_component.c File Reference.TH "orte/mca/gpr/proxy/gpr_proxy_component.c" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
orte/mca/gpr/proxy/gpr_proxy_component.c \- The Open MPI General Purpose Registry - Proxy component. 
.SH SYNOPSIS
.br
.PP
\fC#include 'orte_config.h'\fP
.br
\fC#include 'include/orte_constants.h'\fP
.br
\fC#include 'include/orte_types.h'\fP
.br
\fC#include 'dps/dps.h'\fP
.br
\fC#include 'opal/util/output.h'\fP
.br
\fC#include 'util/proc_info.h'\fP
.br
\fC#include 'mca/ns/ns.h'\fP
.br
\fC#include 'mca/errmgr/errmgr.h'\fP
.br
\fC#include 'mca/oob/oob_types.h'\fP
.br
\fC#include 'mca/rml/rml.h'\fP
.br
\fC#include 'gpr_proxy.h'\fP
.br

.SS "Functions"

.in +1c
.ti -1c
.RI "static void \fBorte_gpr_proxy_subscriber_construct\fP (orte_gpr_proxy_subscriber_t *req)"
.br
.ti -1c
.RI "static void \fBorte_gpr_proxy_subscriber_destructor\fP (orte_gpr_proxy_subscriber_t *req)"
.br
.ti -1c
.RI "\fBOBJ_CLASS_INSTANCE\fP (orte_gpr_proxy_subscriber_t, \fBopal_object_t\fP, orte_gpr_proxy_subscriber_construct, orte_gpr_proxy_subscriber_destructor)"
.br
.ti -1c
.RI "static void \fBorte_gpr_proxy_trigger_construct\fP (orte_gpr_proxy_trigger_t *req)"
.br
.ti -1c
.RI "static void \fBorte_gpr_proxy_trigger_destructor\fP (orte_gpr_proxy_trigger_t *req)"
.br
.ti -1c
.RI "\fBOBJ_CLASS_INSTANCE\fP (orte_gpr_proxy_trigger_t, \fBopal_object_t\fP, orte_gpr_proxy_trigger_construct, orte_gpr_proxy_trigger_destructor)"
.br
.ti -1c
.RI "int \fBorte_gpr_proxy_open\fP (void)"
.br
.ti -1c
.RI "int \fBorte_gpr_proxy_close\fP (void)"
.br
.ti -1c
.RI "orte_gpr_base_module_t * \fBorte_gpr_proxy_component_init\fP (bool *allow_multi_user_threads, bool *have_hidden_threads, int *priority)"
.br
.ti -1c
.RI "int \fBorte_gpr_proxy_module_init\fP (void)"
.br
.ti -1c
.RI "int \fBorte_gpr_proxy_finalize\fP (void)"
.br
.ti -1c
.RI "void \fBorte_gpr_proxy_notify_recv\fP (int status, orte_process_name_t *sender, \fBorte_buffer_t\fP *buffer, \fBorte_rml_tag_t\fP tag, void *cbdata)"
.br
.in -1c
.SS "Variables"

.in +1c
.ti -1c
.RI "mca_gpr_base_component_t \fBmca_gpr_proxy_component\fP"
.br
.ti -1c
.RI "static orte_gpr_base_module_t \fBorte_gpr_proxy\fP"
.br
.ti -1c
.RI "static bool \fBinitialized\fP = false"
.br
.ti -1c
.RI "orte_gpr_proxy_globals_t \fBorte_gpr_proxy_globals\fP"
.br
.in -1c
.SH "Detailed Description"
.PP 
The Open MPI General Purpose Registry - Proxy component. 


.SH "Variable Documentation"
.PP 
.SS "mca_gpr_base_component_t mca_gpr_proxy_component"
.PP
\fBInitial value:\fP
.PP
.nf
 {
    {
    MCA_GPR_BASE_VERSION_1_0_0,

    'proxy', 
    ORTE_MAJOR_VERSION,  
    ORTE_MINOR_VERSION,  
    ORTE_RELEASE_VERSION,  
    orte_gpr_proxy_open,  
    orte_gpr_proxy_close 
    },
    {
    false 
    },
    orte_gpr_proxy_component_init,    
    orte_gpr_proxy_finalize 
}
.fi
.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
